Description

NonlinearShuntCompensator has ambiguity where NonlinearShuntCompensator class has description where it says: "The attributes
g, b, g0 and b0 of the associated NonlinearShuntCompensatorPoint describe the total conductance and admittance of a
NonlinearShuntCompensatorPoint at a section number specified by NonlinearShuntCompensatorPoint.sectionNumber." This
describes total admittance model.

In NonlinearShuntCompensatorPoint.b there is this note: "Positive sequence shunt (charging) susceptance per section." This
describes additive admittance model.

These two notes are contradictory. NonlinearShuntCompensatorPoint should be aligned with NonlinearShuntCompensator.
Additive admittance model cannot model variable shunt reactor where admittance is decreasing with increasing section which is
problem for conductance (negative conductance is not possible to enter).

Proposed Solution

NonlinearShuntCompensatorPoint should be aligned with NonlinearShuntCompensator.
Proposed change to the NonlinearShuntCompensatorPoint:

b bTotal: Pesitive-sequenee-shunt{charging)-susceptance-perseection- Total positive sequence shunt (charging) susceptance at

section noted by sectionNumber.

b6 b0Total: Zere-sequence-shunt{charging)-susceptanceperseetion- Total zero sequence shunt (charging) susceptance at section

noted by sectionNumber.

g gTotal: Pesitive-sequence-shunt{charging)-conductanceperseetion: Total positive sequence shunt (charging) conductance at

section noted by sectionNumber.

g0 g0Total: Zero-sequence-shunt{charging)-conductanceper-section- Total zero sequence shunt (charging) conductance at section

noted by sectionNumber.

Decision

NonlinearShuntCompensatorPoint should be aligned with NonlinearShuntCompensator.

Proposed change to the NonlinearShuntCompensatorPoint:

b is replaced with bTotal: Total positive sequence shunt (charging) susceptance at section noted by sectionNumber.
b0 is replaced with bOTotal: Total zero sequence shunt (charging) susceptance at section noted by sectionNumber.
g is replaced with gTotal: Total positive sequence shunt (charging) conductance at section noted by sectionNumber.
g0 is replaced with g0Total: Total zero sequence shunt (charging) conductance at section noted by sectionNumber.

Release Notes

Applied the following changes
Change to the NonlinearShuntCompensatorPoint:
b is replaced with bTotal: Total positive sequence shunt (charging) susceptance at section noted by sectionNumber.
b0 is replaced with bOTotal: Total zero sequence shunt (charging) susceptance at section noted by sectionNumber.
g is replaced with gTotal: Total positive sequence shunt (charging) conductance at section noted by sectionNumber.
g0 is replaced with g0Total: Total zero sequence shunt (charging) conductance at section noted by sectionNumber.
Modified the description of the NonlinearShuntCompensator to refere to the new attributes

Applied similar changes to the NonlinearShuntCompensatorPhase and NonlinearShuntCompensatorPhasePoint as well

Modified EQ and SC profiles in 61970-452.

History

#1 - 10/26/2021 07:02 AM - Domagoj Peharda

- Description updated

#2 - 01/19/2022 10:18 AM - Domagoj Peharda
- Proposed Solution updated

There was a suggestion to change the name of attributes (e.g. from b to bTotal) because change in notes will go unnoticed.

#3 - 01/26/2022 10:24 AM - Domagoj Peharda

- Decision updated

#4 - 01/26/2022 10:28 AM - Domagoj Peharda
- Proposed Solution updated

- Decision updated

#5 - 01/26/2022 10:29 AM - Domagoj Peharda
- Proposed Solution updated

#6 - 01/26/2022 10:30 AM - Domagoj Peharda
- Proposed Solution updated

#7 - 01/26/2022 10:32 AM - Domagoj Peharda
- Proposed Solution updated

#8 - 01/27/2022 01:01 PM - Domagoj Peharda
- Proposed Solution updated

- Decision updated

#9 - 02/11/2023 04:27 AM - Chavdar Ilvanov

- Status changed from New to Open

- Solution Version set to CIM18v03

- Solution Applied By set to Chavdar Ilvanov

- Completion Date set to 02/11/2023

- Breaking Change set to Yes

- Breaking Change Description changed from Those that have implemented additive model they need to change to Some attributes were renamed.

- Release Notes updated

#10 - 02/11/2023 04:27 AM - Chavdar lvanov

- Status changed from Open to In Progress

#11 - 02/11/2023 04:27 AM - Chavdar lvanov

- Status changed from In Progress to Closed

#12 - 02/11/2023 04:38 AM - Chavdar lvanov

- Release Notes updated
#13 - 10/20/2023 10:23 AM - Todd Viegut
- Solution to be Applied To set to CIM18v03
